
#ifndef _IOREGS_H_
#define _IOREGS_H_

#include "regmap.h"
#include "regs_uart.h"

#define IO_START	IO_BASE_PHYS

#define IO(offset)	(offset)

#define IO_BYTE(offset)	(*(volatile unsigned char *)(offset))
#define IO_WORD(offset)	(*(volatile unsigned long *)(offset))

#define IO_SDRAMGLOBALCFG	IO_WORD(SDRAMGLOBALCFG)
#define IO_SDRAMREFRESHTIME	IO_WORD(SDRAMREFRESHTIME)
#define IO_SDRAMBOOTSTATUS	IO_WORD(SDRAMBOOTSTATUS)
#define IO_SDRAMCFG0		IO_WORD(SDRAMCFG0)
#define IO_SDRAMCFG1		IO_WORD(SDRAMCFG1)
#define IO_SDRAMCFG2		IO_WORD(SDRAMCFG2)
#define IO_SDRAMCFG3		IO_WORD(SDRAMCFG3)

#define IO_SMCBCR0		IO_WORD(SMCBCR0)
#define IO_SMCBCR1		IO_WORD(SMCBCR1)
#define IO_SMCBCR2		IO_WORD(SMCBCR2)
#define IO_SMCBCR3		IO_WORD(SMCBCR3)
#define IO_SMCBCR6		IO_WORD(SMCBCR6)
#define IO_SMCBCR7		IO_WORD(SMCBCR7)

#define IO_GPIO_PADR		IO_WORD(GPIO_PADR)
#define IO_GPIO_PBDR		IO_WORD(GPIO_PBDR)
#define IO_GPIO_PCDR		IO_WORD(GPIO_PCDR)
#define IO_GPIO_PDDR		IO_WORD(GPIO_PDDR)
#define IO_GPIO_PEDR		IO_WORD(GPIO_PEDR)
#define IO_GPIO_PFDR		IO_WORD(GPIO_PFDR)
#define IO_GPIO_PGDR		IO_WORD(GPIO_PGDR)
#define IO_GPIO_PHDR		IO_WORD(GPIO_PHDR)
#define IO_GPIO_PADDR		IO_WORD(GPIO_PADDR)
#define IO_GPIO_PBDDR		IO_WORD(GPIO_PBDDR)
#define IO_GPIO_PCDDR		IO_WORD(GPIO_PCDDR)
#define IO_GPIO_PDDDR		IO_WORD(GPIO_PDDDR)
#define IO_GPIO_PEDDR		IO_WORD(GPIO_PEDDR)
#define IO_GPIO_PFDDR		IO_WORD(GPIO_PFDDR)
#define IO_GPIO_PGDDR		IO_WORD(GPIO_PGDDR)
#define IO_GPIO_PHDDR		IO_WORD(GPIO_PHDDR)

#define IO_UART1DR		IO_WORD(UART1DR)
#define IO_UART1RSR		IO_WORD(UART1RSR)
#define IO_UART1ECR		IO_WORD(UART1ECR)
#define IO_UART1CR_H		IO_WORD(UART1CR_H)
#define IO_UART1CR_M		IO_WORD(UART1CR_M)
#define IO_UART1CR_L		IO_WORD(UART1CR_L)
#define IO_UART1CR		IO_WORD(UART1CR)
#define IO_UART1FR		IO_WORD(UART1FR)
#define IO_UART2DR		IO_WORD(UART2DR)
#define IO_UART2RSR		IO_WORD(UART2RSR)
#define IO_UART2ECR		IO_WORD(UART2ECR)
#define IO_UART2CR_H		IO_WORD(UART2CR_H)
#define IO_UART2CR_M		IO_WORD(UART2CR_M)
#define IO_UART2CR_L		IO_WORD(UART2CR_L)
#define IO_UART2CR		IO_WORD(UART2CR)
#define IO_UART2FR		IO_WORD(UART2FR)

#endif	/* _IOREGS_H_ */
